Skip to main content
PUT
/
user
/
{id}
Update user
curl --request PUT \
  --url https://app.leadconduit.com/user/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ui_state": {
    "has_seen_free_account_modal": true
  }
}
'
{
  "id": "5fd4371e940df5a34a3888b2",
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@company.com",
  "sso_id": "6493820b542ea0521e2a4543",
  "api_key": "2f1d5f29915b866c7a2fa5de29613104",
  "superuser": false,
  "user_admin": true,
  "subscription_admin": true,
  "role_string": "user",
  "phone": "512-555-1212",
  "accounts": [
    {
      "id": "5fd4371e940df5a34a3888b2",
      "sso_id": "5fd4371e940df5a34a3888b2",
      "api_key": "<string>",
      "name": "Acme, Inc.",
      "time_zone": "America/New_York",
      "type": "<string>",
      "data_retention_in_days": 123,
      "data_truncated_at": "2023-11-07T05:31:56Z",
      "keen_project_id": "<string>",
      "keen_read_api_key": "<string>",
      "keen_write_api_key": "<string>",
      "pricing_components": [
        {}
      ],
      "billing_type": "contracted",
      "financial_state": "paid",
      "financial_state_updated_at": "2023-11-07T05:31:56Z",
      "lead_ping_enabled": true,
      "product_id": "lcx",
      "state": "<string>",
      "connected_buyers": [
        {
          "id": "5fd4371e940df5a34a3888b2",
          "name": "<string>",
          "sso_id": "5fd4371e940df5a34a3888b2"
        }
      ],
      "connected_sellers": [
        {
          "id": "5fd4371e940df5a34a3888b2",
          "name": "<string>",
          "sso_id": "5fd4371e940df5a34a3888b2"
        }
      ],
      "pending_sellers": [
        {
          "id": "5fd4371e940df5a34a3888b2",
          "name": "<string>",
          "expired": true,
          "invitation_expires_at": "2023-11-07T05:31:56Z"
        }
      ],
      "pending_buyers": [
        {
          "id": "5fd4371e940df5a34a3888b2",
          "name": "<string>",
          "expired": true,
          "invitation_expires_at": "2023-11-07T05:31:56Z"
        }
      ],
      "subscriptions": {
        "base": {
          "id": "5fd4371e940df5a34a3888b2",
          "state": "active",
          "product_offering_id": "5fd4371e940df5a34a3888b2",
          "product_offering_component": "partner",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "active_at": "2023-11-07T05:31:56Z",
          "inactive_at": "2023-11-07T05:31:56Z"
        },
        "pro": {
          "id": "5fd4371e940df5a34a3888b2",
          "state": "active",
          "product_offering_id": "5fd4371e940df5a34a3888b2",
          "product_offering_component": "partner",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "active_at": "2023-11-07T05:31:56Z",
          "inactive_at": "2023-11-07T05:31:56Z"
        },
        "partner": {
          "id": "5fd4371e940df5a34a3888b2",
          "state": "active",
          "product_offering_id": "5fd4371e940df5a34a3888b2",
          "product_offering_component": "partner",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "active_at": "2023-11-07T05:31:56Z",
          "inactive_at": "2023-11-07T05:31:56Z"
        }
      },
      "features": {
        "seller_access": true,
        "buyer_access": true,
        "lead_transactions": true,
        "conversion_feedback": true,
        "firehose": true,
        "third_party_add_on_services": true,
        "real_time_bidding": true,
        "leadconduit_trustedform_decisions": true
      }
    }
  ],
  "products": [
    {
      "id": "lcx",
      "name": "LeadConduit",
      "base_url": "https://app.leadconduit.com",
      "marketing_url": "https://activeprospect.com/products/leadconduit/",
      "subscribed": true
    },
    {
      "id": "suppressionlist",
      "name": "SuppressionList",
      "base_url": "https://app.suppressionlist.com",
      "marketing_url": "https://activeprospect.com/products/leadconduit/",
      "subscribed": true
    },
    {
      "id": "trustedform",
      "name": "TrustedForm",
      "base_url": "https://app.trustedform.com",
      "marketing_url": "https://activeprospect.com/products/trustedform/",
      "subscribed": true
    }
  ],
  "membership": {
    "lc_access": true,
    "sl_access": true,
    "tf_access": true,
    "account_id": "5fd4371e940df5a34a3888b2",
    "product": "<string>",
    "product_access": true,
    "subscription_admin": true,
    "user_admin": true,
    "user_id": "5fd4371e940df5a34a3888b2"
  },
  "permissions": {
    "lcx": "<string>",
    "suppressionlist": "<string>",
    "trustedform": "<string>"
  },
  "product_code": "lcx",
  "company_name": "<string>",
  "expires": "2023-11-07T05:31:56Z",
  "subscriptions": [
    {
      "id": "5fd4371e940df5a34a3888b2",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "active_at": "2023-11-07T05:31:56Z",
      "inactive_at": "2023-11-07T05:31:56Z",
      "state": "<string>",
      "account_id": "5fd4371e940df5a34a3888b2",
      "product_offering_id": "<string>",
      "product_offering": {
        "id": "<string>",
        "product_id": "<string>",
        "component": "<string>",
        "name": "<string>"
      }
    }
  ],
  "zendesk_jwt": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required

ID of the user to update 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Body

application/json

UI State flags are passed as boolean values. Response will return the flag as a date-time string or null value

ui_state
object

User interface state

Response

200 - application/json

OK

id
string
required

ID of this user

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

first_name
string
required

The user's first name

Example:

"Jane"

last_name
string
required

The user's last name

Example:

"Doe"

email
string
required

The user's email address

Example:

"janedoe@company.com"

sso_id
string

The account's ID global across all ActiveProspect products

Example:

"6493820b542ea0521e2a4543"

api_key
string

The user's API key

Example:

"2f1d5f29915b866c7a2fa5de29613104"

superuser
boolean

Is the user a super user?

Example:

false

user_admin
boolean

Can the user manage other users and verified domains?

Example:

true

subscription_admin
boolean

Can the user manage subscriptions to TrustedForm, LeadConduit, and SuppressionList?

Example:

true

role_string
enum<string>

The user's role (unused)

Available options:
user
Example:

"user"

phone
string

The user's phone number

Example:

"512-555-1212"

accounts
object[]
products
object[]

The list of products available to the account

Example:
[
{
"id": "lcx",
"name": "LeadConduit",
"base_url": "https://app.leadconduit.com",
"marketing_url": "https://activeprospect.com/products/leadconduit/",
"subscribed": true
},
{
"id": "suppressionlist",
"name": "SuppressionList",
"base_url": "https://app.suppressionlist.com",
"marketing_url": "https://activeprospect.com/products/leadconduit/",
"subscribed": true
},
{
"id": "trustedform",
"name": "TrustedForm",
"base_url": "https://app.trustedform.com",
"marketing_url": "https://activeprospect.com/products/trustedform/",
"subscribed": true
}
]
membership
object
permissions
object
product_code
enum<string>

The code for the current product

Available options:
lcx,
trustedform,
suppressionlist,
account
Example:

"lcx"

company_name
string
expires
string<date-time>
subscriptions
object[]
zendesk_jwt
string
created_at
string<date-time>